Update Prompt
curl --request POST \
--url https://catalystapi.superdashhq.com/api/v1/assistants/updatePrompt/{workspaceId}/{assistantId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"prompt": "<string>"
}
'import requests
url = "https://catalystapi.superdashhq.com/api/v1/assistants/updatePrompt/{workspaceId}/{assistantId}"
payload = { "prompt": "<string>" }
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({prompt: '<string>'})
};
fetch('https://catalystapi.superdashhq.com/api/v1/assistants/updatePrompt/{workspaceId}/{assistantId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"prompt": "The updated prompt of the assistant"
}
{
"error": "Invalid workspace or assistant ID",
}
{
"message": "No api key, authorization denied"
}
{
"error": "Assistant not found"
}
{
"error":"Failed to retrieve model settings"
}
Assistant
Update Prompt
Update the Prompt of the Assistant
POST
/
v1
/
assistants
/
updatePrompt
/
{workspaceId}
/
{assistantId}
Update Prompt
Authorizations
string
required
API key associated with your workspace
Path Parameters
string
required
UUID of the workspace
string
required
UUID of the assistant
Body Parameters
string
required
The Prompt for the assistant
Response
string
The updated prompt of the assistant
{
"prompt": "The updated prompt of the assistant"
}
{
"error": "Invalid workspace or assistant ID",
}
{
"message": "No api key, authorization denied"
}
{
"error": "Assistant not found"
}
{
"error":"Failed to retrieve model settings"
}
⌘I